## cbatticon 1.6.8

=== Makefile ===
# options

### verbosity: 0 for off, 1 for on (default: off)
V = 0

### whether to link against gtk3 or gtk2 (default: gtk3)
WITH_GTK3 = 1

### libnotify support: 0 for off, 1 for on (default: on)
WITH_NOTIFY = 1

# programs

CC ?= gcc
MSGFMT = msgfmt
PKG_CONFIG ?= pkg-config
RM = rm -f
GETTEXT=xgettext
INSTALL = install
INSTALL_BIN = $(INSTALL) -m755
INSTALL_DATA = $(INSTALL) -m644

# variables

PACKAGE_NAME = cbatticon
VERSION = $(shell grep CBATTICON_VERSION_NUMBER cbatticon.c | awk '{print $$3}')
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/$(PACKAGE_NAME)-$(VERSION)
MANDIR = $(PREFIX)/share/man/man1
NLSDIR = $(PREFIX)/share/locale
LANGUAGES = bs de el fr he hr id ja ru sr tr zh_TW

BIN = $(PACKAGE_NAME)
SOURCEFILES := $(wildcard *.c)
OBJECTS := $(patsubst %.c,%.o,$(SOURCEFILES))
SOURCECATALOGS := $(wildcard *.po)
TRANSLATIONS := $(patsubst %.po,%.mo,$(SOURCECATALOGS))

# flags and libs

ifeq ($(V),0)
VERBOSE=@
else
VERBOSE=
endif

ifeq ($(WITH_NOTIFY),1)
CPPFLAGS += -DWITH_NOTIFY
endif
CPPFLAGS += -DNLSDIR=\"$(NLSDIR)\"

CFLAGS ?= -O2
CFLAGS += -Wall -Wno-format -Wno-deprecated-declarations -std=c99
CFLAGS += $(shell $(PKG_CONFIG) --cflags $(PKG_DEPS))

ifeq ($(WITH_GTK3), 0)
PKG_DEPS = gtk+-2.0
else
PKG_DEPS = gtk+-3.0
endif

ifeq ($(WITH_NOTIFY),1)
PKG_DEPS += libnotify
endif

LIBS += $(shell $(PKG_CONFIG) --libs $(PKG_DEPS)) -lm

# targets

all: $(BIN) $(TRANSLATIONS)

$(BIN): $(OBJECTS)
	@echo -e '\033[0;35mLinking executable $@\033[0m'
	$(VERBOSE) $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

$(OBJECTS): $(SOURCEFILES)
	@echo -e '\033[0;32mBuilding object $@\033[0m'
	$(VERBOSE) $(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

$(TRANSLATIONS): %.mo: %.po
	@echo -e '\033[0;36mCompiling messages catalog $@\033[0m'
	$(VERBOSE) $(MSGFMT) -o $@ $<

install: $(BIN) $(TRANSLATIONS)
	@echo -e '\033[0;33mInstalling $(PACKAGE_NAME)\033[0m'
	$(VERBOSE) $(INSTALL) -d "$(DESTDIR)$(BINDIR)"
	$(VERBOSE) $(INSTALL_BIN) $(BIN) "$(DESTDIR)$(BINDIR)"/
	$(VERBOSE) $(INSTALL) -d "$(DESTDIR)$(DOCDIR)"
	$(VERBOSE) $(INSTALL_DATA) README "$(DESTDIR)$(DOCDIR)"/
	$(VERBOSE) $(INSTALL) -d "$(DESTDIR)$(MANDIR)"
	$(VERBOSE) $(INSTALL_DATA) cbatticon.1 "$(DESTDIR)$(MANDIR)"/
	$(VERBOSE) for language in $(LANGUAGES); \
	do \
		$(INSTALL) -d "$(DESTDIR)$(NLSDIR)"/$$language/LC_MESSAGES; \
		$(INSTALL_DATA) $$language.mo "$(DESTDIR)$(NLSDIR)"/$$language/LC_MESSAGES/$(PACKAGE_NAME).mo; \
	done

uninstall:
	@echo -e '\033[0;33mUninstalling $(PACKAGE_NAME)\033[0m'
	$(VERBOSE) $(RM) "$(DESTDIR)$(BINDIR)"/$(BIN)
	$(VERBOSE) $(RM) "$(DESTDIR)$(DOCDIR)"/README
	$(VERBOSE) $(RM) "$(DESTDIR)$(MANDIR)"/cbatticon.1
	$(VERBOSE) for language in $(LANGUAGES); \
	do \
		$(VERBOSE) $(RM) "$(DESTDIR)$(NLSDIR)"/$$language/LC_MESSAGES/$(PACKAGE_NAME).mo; \
	done

clean:
	@echo -e '\033[0;33mCleaning up source directory\033[0m'
	$(VERBOSE) $(RM) $(BIN) $(OBJECTS) $(TRANSLATIONS)

translation-refresh-pot:
	$(VERBOSE) $(GETTEXT) --default-domain=$(PACKAGE_NAME) --add-comments \
		--keyword=_ --keyword=N_ --keyword=g_dngettext:2,3 $(SOURCEFILES) \
		--output=$(PACKAGE_NAME).pot

translation-status:
	$(VERBOSE) for catalog in $(SOURCECATALOGS); \
	do \
		$(MSGFMT) -v --statistics -o /dev/null $$catalog; \
	done

.PHONY: install uninstall clean translation-status

=== debian/changelog ===
cbatticon (1.6.8-1) unstable; urgency=medium

  * Initial release (Closes: #905333).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 03 Aug 2018 04:47:05 -0300

=== debian/control ===
Source: cbatticon
Section: x11
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 11), libgtk-3-dev (>= 3.10.8), libnotify-dev (>= 0.7.6)
Standards-Version: 4.2.0.0
Homepage: https://github.com/valr/cbatticon
Vcs-Git: https://salsa.debian.org/debian/cbatticon.git
Vcs-Browser: https://salsa.debian.org/debian/cbatticon

Package: cbatticon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libnotify-bin (>= 0.7.6)
Description: lightweight and fast battery icon status and more
 Utility that displays battery information as battery status, remaining
 percentage, remaining time, using an icon in the system tray.
 .
 Based on code from xbattbar-acpi, cbatticon sits in your system tray,
 reporting on battery events, like plug-in, critical, remaining, etc.
 .
 A regular users can (re)define custom system's behaviour, like performing
 graceful shutdown on critical status, by user-defined thresholds and commands
 on low power/critical.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=-format

%:
	dh $@

## cbatticon 1.6.9

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DOCDIR = $(PREFIX)/share/doc/$(PACKAGE_NAME)-$(VERSION)
 MANDIR = $(PREFIX)/share/man/man1
 NLSDIR = $(PREFIX)/share/locale
-LANGUAGES = bs de el fr he hr id ja ru sr tr zh_TW
+LANGUAGES = bs de el fr he hr id ja pt_BR ru sr tr zh_TW
 
 BIN = $(PACKAGE_NAME)
 SOURCEFILES := $(wildcard *.c)

=== debian/changelog ===
cbatticon (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in description, thanks ThomasVincent! (Closes: #918245).
  * Removed local patches already merged upstream.
  * Updated Standard-Versions.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 21 Jul 2019 08:27:34 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>= 11), libgtk-3-dev (>= 3.10.8), libnotify-dev (>= 0.7.6)
-Standards-Version: 4.2.0.0
+Build-Depends: debhelper (>= 12), libgtk-3-dev (>= 3.10.8), libnotify-dev (>= 0.7.6)
+Standards-Version: 4.4.0
 Homepage: https://github.com/valr/cbatticon
 Vcs-Git: https://salsa.debian.org/debian/cbatticon.git
 Vcs-Browser: https://salsa.debian.org/debian/cbatticon
@@ -18,6 +18,6 @@
  Based on code from xbattbar-acpi, cbatticon sits in your system tray,
  reporting on battery events, like plug-in, critical, remaining, etc.
  .
- A regular users can (re)define custom system's behaviour, like performing
+ A regular user can (re)define custom system's behaviour, like performing
  graceful shutdown on critical status, by user-defined thresholds and commands
  on low power/critical.

=== debian/watch ===
version=4
https://github.com/valr/cbatticon/releases .*/(\d\S+)\.tar\.gz
